Get connected accounts
Returns all connected accounts.
Note: This endpoint is currently in beta and might be subject to changes.
GET
/
connected_accounts
TypeScript
const response: Promise<FireblocksResponse<ConnectedAccountsResponse>> = fireblocks.connectedAccountsBeta.getConnectedAccounts(connectedAccountsBetaApiGetConnectedAccountsRequest);CompletableFuture<ApiResponse<ConnectedAccountsResponse>> response = fireblocks.connectedAccountsBeta().getConnectedAccounts(mainAccounts, pageSize, pageCursor);response = fireblocks.connected_accounts_beta.get_connected_accounts(main_accounts, page_size, page_cursor);curl --request GET \
--url https://api.fireblocks.io/v1/connected_accountsconst options = {method: 'GET'};
fetch('https://api.fireblocks.io/v1/connected_accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "acc-123456",
"name": "Main Venue Account",
"providerId": "BRIDGE",
"status": "APPROVED",
"totalBalance": {
"amount": "1201.15",
"denominatedAssetId": "ea6c3cb7-355a-4ee3-82ff-267c69970214",
"hasFullAssetCoverage": true
},
"manifest": {
"assetTypes": [],
"capabilities": [
"DEPOSITS",
"WITHDRAWALS"
]
},
"accountType": "CONNECTED_ACCOUNT"
},
{
"id": "acc-654321",
"name": "Secondary Account",
"providerId": "BRIDGE",
"status": "WAITING_FOR_APPROVAL",
"totalBalance": {
"amount": "0.00",
"denominatedAssetId": "ea6c3cb7-355a-4ee3-82ff-267c69970214",
"hasFullAssetCoverage": false
},
"manifest": {
"assetTypes": [],
"capabilities": [
"WITHDRAWALS"
]
},
"accountType": "CONNECTED_ACCOUNT"
}
],
"total": 2,
"next": "eyJwYWdlIjoyfQ=="
}{
"message": "<string>",
"code": 123
}Query Parameters
Whether to include only main accounts in the response.
Page size for pagination.
Required range:
1 <= x <= 100Page cursor for pagination.
Response
Get accounts response
List of connected accounts matching the query.
Show child attributes
Show child attributes
Example:
[
{
"id": "acc-123456",
"name": "Main Venue Account",
"providerId": "BRIDGE",
"status": "APPROVED",
"totalBalance": {
"amount": "1201.15",
"denominatedAssetId": "ea6c3cb7-355a-4ee3-82ff-267c69970214",
"hasFullAssetCoverage": true
},
"manifest": {
"assetTypes": [],
"capabilities": ["DEPOSITS", "WITHDRAWALS"]
},
"accountType": "CONNECTED_ACCOUNT"
},
{
"id": "acc-654321",
"name": "Secondary Account",
"providerId": "BRIDGE",
"status": "WAITING_FOR_APPROVAL",
"totalBalance": {
"amount": "0.00",
"denominatedAssetId": "ea6c3cb7-355a-4ee3-82ff-267c69970214",
"hasFullAssetCoverage": false
},
"manifest": {
"assetTypes": [],
"capabilities": ["WITHDRAWALS"]
},
"accountType": "CONNECTED_ACCOUNT"
}
]
Total number of accounts by query.
Example:
2
A cursor for the next page of results, if available.
Example:
"eyJwYWdlIjoyfQ=="
Was this page helpful?
⌘I
TypeScript
const response: Promise<FireblocksResponse<ConnectedAccountsResponse>> = fireblocks.connectedAccountsBeta.getConnectedAccounts(connectedAccountsBetaApiGetConnectedAccountsRequest);CompletableFuture<ApiResponse<ConnectedAccountsResponse>> response = fireblocks.connectedAccountsBeta().getConnectedAccounts(mainAccounts, pageSize, pageCursor);response = fireblocks.connected_accounts_beta.get_connected_accounts(main_accounts, page_size, page_cursor);